Multivariate Pattern Analysis in Python

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »

# mvpa2.clfs.lars

Least angle regression (LARS).

Functions

`accepts_dataset_as_samples`(fx) | Decorator to extract samples from Datasets.

Classes

`Classifier`([space]) | Abstract classifier class to be inherited by all classifiers ..
`Dataset`(samples[, sa, fa, a]) | Generic storage class for datasets with multiple attributes.
`LARS`([model_type, trace, normalize, ...]) | Least angle regression (LARS).
`LARSWeights`(clf[, force_train]) | `SensitivityAnalyzer` that reports the weights LARS trained
`Sensitivity`(clf[, force_train]) | Sensitivities of features for a given Classifier.

Exceptions

`Classifier`([space]) | Abstract classifier class to be inherited by all classifiers ..
`Dataset`(samples[, sa, fa, a]) | Generic storage class for datasets with multiple attributes.
`LARS`([model_type, trace, normalize, ...]) | Least angle regression (LARS).
`LARSWeights`(clf[, force_train]) | `SensitivityAnalyzer` that reports the weights LARS trained
`Sensitivity`(clf[, force_train]) | Sensitivities of features for a given Classifier.

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »